using System;

namespace zli_nezadovoljni_ljudi
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int n = int.Parse(Console.ReadLine());
            uint[] a = new uint[n];
            double[] p = new double[n];
            double[] auh = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = uint.Parse(s[0]);
                p[i] = double.Parse(s[1]) / 100;
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (p[i]<=p[j] && p[i] != 0) auh[i]+=a[j];
                }
            }
            double max= auh[0] * p[0];
            for (int i = 1; i < n; i++)
            {
                if (auh[i]*p[i]>max) max= auh[i] * p[i];
            }
            Console.WriteLine(max);
        }
    }
}